# m3e/input_chip_set

InputChipSet is a container that transforms user input into a cohesive set of interactive chips, supporting entry, editing, and removal of discrete values.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        name: String,
        required: Required,
        vertical: Vertical,
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        name: String,
        required: Required,
        vertical: Vertical,
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## InputChipSet

opaque </>

InputChipSet is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- name: The name that identifies the element when submitting the associated form.
- required: Whether a value is required for the element.
- vertical: Whether the element is oriented vertically.

    pub opaque type InputChipSet

## Required

</>

Required is whether a value is required for the element.

    pub type Required {
      IsRequired
      IsNotRequired
    }

### Constructors

-     IsRequired

-     IsNotRequired

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Input
    }

### Constructors

-     Input

## Vertical

</>

Vertical is whether the element is oriented vertically.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_name

</>

    pub const default_name: String

## default_required

</>

    pub const default_required: Required

## default_vertical

</>

    pub const default_vertical: Vertical

## disabled

</>

    pub fn disabled(
      record: InputChipSet,
      disabled: Disabled,
    ) -> InputChipSet

disabled sets the value of disabled for this InputChipSet.

## from_config

</>

    pub fn from_config(config: Config) -> InputChipSet

from_config creates a new InputChipSet from the given configuration.

## name

</>

    pub fn name(record: InputChipSet, name: String) -> InputChipSet

name sets the value of name for this InputChipSet.

## new

</>

    pub fn new() -> InputChipSet

new creates a new InputChipSet with the default configuration.

## render

</>

    pub fn render(
      model: InputChipSet,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a InputChipSet

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a InputChipSet Config

## required

</>

    pub fn required(
      record: InputChipSet,
      required: Required,
    ) -> InputChipSet

required sets the value of required for this InputChipSet.

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

## vertical

</>

    pub fn vertical(
      record: InputChipSet,
      vertical: Vertical,
    ) -> InputChipSet

vertical sets the value of vertical for this InputChipSet.

✨